package cn.com.qmth.stmms.ms.admin.assembler;

import cn.com.qmth.stmms.ms.admin.dto.ScoreCheckDTO;
import cn.com.qmth.stmms.ms.admin.dto.ScoreItem;
import cn.com.qmth.stmms.ms.core.domain.Paper;
import cn.com.qmth.stmms.ms.core.domain.Student;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * Created by zhengmin on 2017/1/6.
 */
@Component
public class ScoreAssembler {

    public ScoreCheckDTO toDTO(Student student, List<Paper> papers){
        ScoreCheckDTO scoreDTO = null;
        if(student != null){
            scoreDTO = new ScoreCheckDTO();
            scoreDTO.setName(student.getName());
            scoreDTO.setId(student.getId());
            scoreDTO.setAreaName(student.getAreaName());
            scoreDTO.setExamRoom(student.getExamRoom());
            scoreDTO.setExamNumber(student.getExamNumber());
            for(Paper p : papers){
                ScoreItem scoreItem = new ScoreItem();
                scoreItem.setPaperId(p.getId());
                scoreItem.setSubjectName(p.getSubject().getName());
                scoreItem.setScore(p.getScore());
                scoreItem.setSubject(p.getSubject());
                scoreDTO.getScoreItems().add(scoreItem);
            }
        }
        return scoreDTO;
    }
}
